- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Classes | Public Member Functions
CplexEnv Class Reference

## Detailed Description

The cplex uses environment object which is responsible for checking the proper license usage. This class provides a simple interface for share the environment object between different problems.

`#include <lemon/cplex.h>`

## Classes
class | LicenseError
| This exception is thrown when the license check is not sufficient. More...

## Public Member Functions
| CplexEnv ()
| Constructor.
| CplexEnv (const CplexEnv &)
| Shallow copy constructor.
CplexEnv & | operator= (const CplexEnv &)
| Shallow assignement.
virtual | ~CplexEnv ()
| Destructor.